Loading...
Searching...
No Matches
gx_engine::MidiControllerList Class Reference

`#include <gx_parameter.h>`

Inheritance diagram for gx_engine::MidiControllerList:

## Public Member Functions

| MidiControllerList ()
midi_controller_list & | operator[] (int n)
int | size ()
void | set_config_mode (bool mode, int ctl=-1)
bool | get_config_mode ()
int | get_current_control ()
void | set_current_control (int ctl)
void | set_ctr_val (int ctr, int val)
void | set_bpm_val (unsigned int val)
void | deleteParameter (Parameter &param)
void | modifyCurrent (Parameter &param, float lower, float upper, bool toggle, int toggle_behaviour)
int | param2controller (Parameter &param, const MidiController **p)
void | writeJSON (gx_system::JsonWriter &jw) const
int | get_last_midi_control_value (unsigned int n)
void | set_last_midi_control_value (unsigned int n, int v)
void | set_controller_array (const ControllerArray &m)
void | remove_controlled_parameters (paramlist &plist, const ControllerArray *m)
sigc::signal< void > & | signal_changed ()
sigc::signal< void, int > & | signal_new_program ()
sigc::signal< void, int > & | signal_new_mute_state ()
sigc::signal< void, int > & | signal_new_bank ()
void | compute_midi_in (void *midi_input_port_buf, void *arg)
void | process_trans (int transport_state)
void | update_from_controller (int ctr)
void | update_from_controllers ()
void | set_midi_channel (int s)
int | get_midi_channel ()
sigc::signal< void, int, int > & | signal_midi_value_changed ()
sigc::signal< void, int, int > & | signal_trigger_midi_feedback ()
void | request_midi_value_update ()

## Public Attributes

sigc::signal< void, int, int > | trigger_midi_feedback

## Private Member Functions

void | on_pgm_chg ()
void | on_mute_chg ()
void | on_bank_chg ()
void | on_val_chg ()
bool | check_midi_values ()

## Private Attributes

ControllerArray | map
int | last_midi_control_value [ControllerArray::array_size]
int | last_midi_control
int | changed_midi_control_value [ControllerArray::array_size]
volatile gint | program_change
volatile gint | mute_change
volatile gint | bank_change
int | bank_changed
int | channel_select
timespec | ts1
double | time0
unsigned int | bpm_
MidiClockToBpm | mp
Glib::Dispatcher | pgm_chg
Glib::Dispatcher | mute_chg
Glib::Dispatcher | bank_chg
Glib::Dispatcher | val_chg
sigc::signal< void > | changed
sigc::signal< void, int > | new_program
sigc::signal< void, int > | new_mute_state
sigc::signal< void, int > | new_bank
sigc::signal< void, int, int > | midi_value_changed

## Detailed Description

Definition at line 768 of file gx_parameter.h.

## Constructor & Destructor Documentation

## MidiControllerList()

gx_engine::MidiControllerList::MidiControllerList | ( |  | ) |

## Member Function Documentation

## check_midi_values()

bool gx_engine::MidiControllerList::check_midi_values | ( |  | ) |

private

## compute_midi_in()

void gx_engine::MidiControllerList::compute_midi_in | ( | void * | midi_input_port_buf,
|  | void * | arg )

## deleteParameter()

void gx_engine::MidiControllerList::deleteParameter | ( | Parameter & | param | ) |

## get_config_mode()

bool gx_engine::MidiControllerList::get_config_mode | ( |  | ) |

inline

Definition at line 804 of file gx_parameter.h.

## get_current_control()

int gx_engine::MidiControllerList::get_current_control | ( |  | ) |

inline

Definition at line 805 of file gx_parameter.h.

## get_last_midi_control_value()

int gx_engine::MidiControllerList::get_last_midi_control_value | ( | unsigned int | n | ) |

inline

Definition at line 814 of file gx_parameter.h.

## get_midi_channel()

int gx_engine::MidiControllerList::get_midi_channel | ( |  | ) |

inline

Definition at line 829 of file gx_parameter.h.

## modifyCurrent()

void gx_engine::MidiControllerList::modifyCurrent | ( | Parameter & | param,
|  | float | lower,
|  | float | upper,
|  | bool | toggle,
|  | int | toggle_behaviour )

## on_bank_chg()

void gx_engine::MidiControllerList::on_bank_chg | ( |  | ) |

private

## on_mute_chg()

void gx_engine::MidiControllerList::on_mute_chg | ( |  | ) |

private

## on_pgm_chg()

void gx_engine::MidiControllerList::on_pgm_chg | ( |  | ) |

private

## on_val_chg()

void gx_engine::MidiControllerList::on_val_chg | ( |  | ) |

private

## operator[]()

midi_controller_list & gx_engine::MidiControllerList::operator[] | ( | int | n | ) |

inline

Definition at line 801 of file gx_parameter.h.

## param2controller()

int gx_engine::MidiControllerList::param2controller | ( | Parameter & | param,
|  | const MidiController ** | p )

inline

Definition at line 811 of file gx_parameter.h.

## process_trans()

void gx_engine::MidiControllerList::process_trans | ( | int | transport_state | ) |

## remove_controlled_parameters()

void gx_engine::MidiControllerList::remove_controlled_parameters | ( | paramlist & | plist,
|  | const ControllerArray * | m )

## request_midi_value_update()

void gx_engine::MidiControllerList::request_midi_value_update | ( |  | ) |

## set_bpm_val()

void gx_engine::MidiControllerList::set_bpm_val | ( | unsigned int | val | ) |

## set_config_mode()

void gx_engine::MidiControllerList::set_config_mode | ( | bool | mode,
|  | int | ctl = -1 )

## set_controller_array()

void gx_engine::MidiControllerList::set_controller_array | ( | const ControllerArray & | m | ) |

## set_ctr_val()

void gx_engine::MidiControllerList::set_ctr_val | ( | int | ctr,
|  | int | val )

## set_current_control()

void gx_engine::MidiControllerList::set_current_control | ( | int | ctl | ) |

inline

Definition at line 806 of file gx_parameter.h.

## set_last_midi_control_value()

void gx_engine::MidiControllerList::set_last_midi_control_value | ( | unsigned int | n,
|  | int | v )

inline

Definition at line 816 of file gx_parameter.h.

## set_midi_channel()

void gx_engine::MidiControllerList::set_midi_channel | ( | int | s | ) |

## signal_changed()

sigc::signal< void > & gx_engine::MidiControllerList::signal_changed | ( |  | ) |

inline

Definition at line 820 of file gx_parameter.h.

## signal_midi_value_changed()

sigc::signal< void, int, int > & gx_engine::MidiControllerList::signal_midi_value_changed | ( |  | ) |

inline

Definition at line 830 of file gx_parameter.h.

## signal_new_bank()

sigc::signal< void, int > & gx_engine::MidiControllerList::signal_new_bank | ( |  | ) |

inline

Definition at line 823 of file gx_parameter.h.

## signal_new_mute_state()

sigc::signal< void, int > & gx_engine::MidiControllerList::signal_new_mute_state | ( |  | ) |

inline

Definition at line 822 of file gx_parameter.h.

## signal_new_program()

sigc::signal< void, int > & gx_engine::MidiControllerList::signal_new_program | ( |  | ) |

inline

Definition at line 821 of file gx_parameter.h.

## signal_trigger_midi_feedback()

sigc::signal< void, int, int > & gx_engine::MidiControllerList::signal_trigger_midi_feedback | ( |  | ) |

inline

Definition at line 832 of file gx_parameter.h.

## size()

int gx_engine::MidiControllerList::size | ( |  | ) |

inline

Definition at line 802 of file gx_parameter.h.

## update_from_controller()

void gx_engine::MidiControllerList::update_from_controller | ( | int | ctr | ) |

## update_from_controllers()

void gx_engine::MidiControllerList::update_from_controllers | ( |  | ) |

## writeJSON()

void gx_engine::MidiControllerList::writeJSON | ( | gx_system::JsonWriter & | jw | ) | const

inline

Definition at line 813 of file gx_parameter.h.

## Member Data Documentation

## bank_change

volatile gint gx_engine::MidiControllerList::bank_change

private

Definition at line 777 of file gx_parameter.h.

## bank_changed

int gx_engine::MidiControllerList::bank_changed

private

Definition at line 778 of file gx_parameter.h.

## bank_chg

Glib::Dispatcher gx_engine::MidiControllerList::bank_chg

private

Definition at line 786 of file gx_parameter.h.

## bpm_

unsigned int gx_engine::MidiControllerList::bpm_

private

Definition at line 782 of file gx_parameter.h.

## changed

sigc::signal<void> gx_engine::MidiControllerList::changed

private

Definition at line 788 of file gx_parameter.h.

Referenced by signal_changed().

## changed_midi_control_value

int gx_engine::MidiControllerList::changed_midi_control_value[ControllerArray::array_size]

private

Definition at line 774 of file gx_parameter.h.

Referenced by set_last_midi_control_value().

## channel_select

int gx_engine::MidiControllerList::channel_select

private

Definition at line 779 of file gx_parameter.h.

Referenced by get_midi_channel().

## last_midi_control

int gx_engine::MidiControllerList::last_midi_control

private

Definition at line 773 of file gx_parameter.h.

Referenced by get_config_mode(), get_current_control(), and set_current_control().

## last_midi_control_value

int gx_engine::MidiControllerList::last_midi_control_value[ControllerArray::array_size]

private

Definition at line 772 of file gx_parameter.h.

Referenced by get_last_midi_control_value(), and set_last_midi_control_value().

## map

ControllerArray gx_engine::MidiControllerList::map

private

Definition at line 771 of file gx_parameter.h.

Referenced by operator[](), param2controller(), size(), and writeJSON().

## midi_value_changed

sigc::signal<void, int, int> gx_engine::MidiControllerList::midi_value_changed

private

Definition at line 792 of file gx_parameter.h.

Referenced by signal_midi_value_changed().

## mp

MidiClockToBpm gx_engine::MidiControllerList::mp

private

Definition at line 783 of file gx_parameter.h.

## mute_change

volatile gint gx_engine::MidiControllerList::mute_change

private

Definition at line 776 of file gx_parameter.h.

## mute_chg

Glib::Dispatcher gx_engine::MidiControllerList::mute_chg

private

Definition at line 785 of file gx_parameter.h.

## new_bank

sigc::signal<void,int> gx_engine::MidiControllerList::new_bank

private

Definition at line 791 of file gx_parameter.h.

Referenced by signal_new_bank().

## new_mute_state

sigc::signal<void,int> gx_engine::MidiControllerList::new_mute_state

private

Definition at line 790 of file gx_parameter.h.

Referenced by signal_new_mute_state().

## new_program

sigc::signal<void,int> gx_engine::MidiControllerList::new_program

private

Definition at line 789 of file gx_parameter.h.

Referenced by signal_new_program().

## pgm_chg

Glib::Dispatcher gx_engine::MidiControllerList::pgm_chg

private

Definition at line 784 of file gx_parameter.h.

## program_change

volatile gint gx_engine::MidiControllerList::program_change

private

Definition at line 775 of file gx_parameter.h.

## time0

double gx_engine::MidiControllerList::time0

private

Definition at line 781 of file gx_parameter.h.

## trigger_midi_feedback

sigc::signal<void, int, int> gx_engine::MidiControllerList::trigger_midi_feedback

Definition at line 831 of file gx_parameter.h.

Referenced by signal_trigger_midi_feedback().

## ts1

timespec gx_engine::MidiControllerList::ts1

private

Definition at line 780 of file gx_parameter.h.

## val_chg

Glib::Dispatcher gx_engine::MidiControllerList::val_chg

private

Definition at line 787 of file gx_parameter.h.

The documentation for this class was generated from the following file:

- src/headers/gx_parameter.h